Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.asSyntax.directives
Class DirectiveProcessor

    java.lang.Object
      jason.asSyntax.directives.DirectiveProcessor

    public class DirectiveProcessor

extends java.lang.Object

This class maintains the set of directives and is used by the parser to process them. All available directives must be registered in this class using the addDirective method.

Constructor Summary
`DirectiveProcessor()`

Method Summary
`static void` | `addDirective(java.lang.String id, Directive d)`
`static Directive` | `getDirective(java.lang.String id)`
`static Agent` | `process(Pred directive, Agent outerAg, Agent innerAg)`
`static Directive` | `removeDirective(java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirectiveProcessor

    public DirectiveProcessor()

Method Detail

### addDirective

    public static void addDirective(java.lang.String id,
                                    Directive d)

### getDirective

    public static Directive getDirective(java.lang.String id)

### removeDirective

    public static Directive removeDirective(java.lang.String id)

### process

    public static Agent process(Pred directive,
                                Agent outerAg,
                                Agent innerAg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD